//Do not edit! This file was generated by Unity-ROS MessageGeneration.
using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Unity.Robotics.ROSTCPConnector.MessageGeneration;

namespace RosMessageTypes.RosTcpEndpoint
{
    [Serializable]
    public class WaitGoal : Message
    {
        public const string k_RosMessageName = "hlrc_server/WaitGoal";
        public override string RosMessageName => k_RosMessageName;

        // in milliseconds
        public uint duration;

        public WaitGoal()
        {
            this.duration = 0;
        }

        public WaitGoal(uint duration)
        {
            this.duration = duration;
        }

        public static WaitGoal Deserialize(MessageDeserializer deserializer) => new WaitGoal(deserializer);

        private WaitGoal(MessageDeserializer deserializer)
        {
            deserializer.Read(out this.duration);
        }

        public override void SerializeTo(MessageSerializer serializer)
        {
            serializer.Write(this.duration);
        }

        public override string ToString()
        {
            return "WaitGoal: " +
            "\nduration: " + duration.ToString();
        }

#if UNITY_EDITOR
        [UnityEditor.InitializeOnLoadMethod]
#else
        [UnityEngine.RuntimeInitializeOnLoadMethod]
#endif
        public static void Register()
        {
            MessageRegistry.Register(k_RosMessageName, Deserialize, MessageSubtopic.Goal);
        }
    }
}
